Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jet.server.api.admin.cfg
Enum ConfigurationGeoMap.MapServicePolicy

    java.lang.Object
      java.lang.Enum<ConfigurationGeoMap.MapServicePolicy>
          jet.server.api.admin.cfg.ConfigurationGeoMap.MapServicePolicy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConfigurationGeoMap.MapServicePolicy>

Enclosing interface:
  ConfigurationGeoMap

    public static enum ConfigurationGeoMap.MapServicePolicy

extends java.lang.Enum<ConfigurationGeoMap.MapServicePolicy>

The map service policy which control how to connect to geography map service.

Enum Constant Summary
`INTERNET_SERVICE_FIRST` Use Internet map service first, if failed trying local map service.
`INTERNET_SERVICE_ONLY` Use Internet map service only.
`INTRANET_SERVICE_FIRST` Use Intranet map service first, if failed trying Internet map service.
`INTRANET_SERVICE_ONLY` Use Intranet map service only
`OFF` Do not use any geography map service

Method Summary
`static ConfigurationGeoMap.MapServicePolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConfigurationGeoMap.MapServicePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OFF

    public static final ConfigurationGeoMap.MapServicePolicy OFF

  Do not use any geography map service

### INTRANET_SERVICE_ONLY

    public static final ConfigurationGeoMap.MapServicePolicy INTRANET_SERVICE_ONLY

  Use Intranet map service only

### INTERNET_SERVICE_ONLY

    public static final ConfigurationGeoMap.MapServicePolicy INTERNET_SERVICE_ONLY

  Use Internet map service only.

### INTRANET_SERVICE_FIRST

    public static final ConfigurationGeoMap.MapServicePolicy INTRANET_SERVICE_FIRST

  Use Intranet map service first, if failed trying Internet map service.

### INTERNET_SERVICE_FIRST

    public static final ConfigurationGeoMap.MapServicePolicy INTERNET_SERVICE_FIRST

  Use Internet map service first, if failed trying local map service.

Method Detail

### values

    public static ConfigurationGeoMap.MapServicePolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConfigurationGeoMap.MapServicePolicy c : ConfigurationGeoMap.MapServicePolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConfigurationGeoMap.MapServicePolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD